/ FORMULAR AUFTRAGSBESTTIGUNG
/                              das, was nach / bzw. // steht, wird nicht gedruckt
^E ^12                      // Druck in Entwurfsqualitt, Gre 12 CPI
!LINKER RAND 6              // ein Rand von 6 Zeichen
!AUSDRUCKE 1                // Anzahl der Ausdrucke festlegen
/
!WENN #Seite= 1             // Firmenkopf+ Adresse nur auf 1.Seite drucken
#Firmenkopf                 // Firmenkopf einsetzen (7 Zeilen lang)



  ^17^U#Firmenabsender ^u ^12       // Ihr Absender in 17 CPI & unterstrichen

  #Anrede
  #Vorname#Name
  [[#Name2 ]]                       // diese Zeile nicht drucken, wenn Name2 leer
  #Strasse

^F  #Land#Plz  #Ort ^f               // diese Zeile in fett
!ENDE WENN #Seite=1

!GEHE ZU ZEILE 15                   // fr Druck ab 2. Seite, damit vorgedruckter Briefkopf nicht berschrieben wd.
                                                Auftragsbesttigung : #AtrNr:8:0
                                                Kunden-Nr.          : #KdNr:8:0
                                                [[Besttigung vom     : #AbDatum ]]
                                                [[Lieferscheindatum   : #LsDatum ]]
                                                [[Rechnungsdatum      : #RgDatum ]]
                                                [[Valuta              : #ValutaDatum ]]
                                                [[Seite               : #SEITE2:8:0 ]]  // Erst ab 2.Seite drucken

^BAUFTRAGSBESTTIGUNG ^b ^12 #Vermerk
[[#Kopftext:79 ]]

Artikelnr. Bezeichnung                        Menge Einh.   E-PREIS    G-Preis #Rabattitel

/234567890 123456789012345678901234567890 123456789 12345 123456789 1234567890 12.45%
/*****************************************************************************
!LISTE:35:47                           // Liste max.bis Druckzeile 35 bzw. 47
/
!#GP:= 0
!WENN .NOT. #TextPosition
  !#GP:= Round( #Men * #EPreis, 2)                    // Ges.Preis Position
  !#GP:= #GP - Round( #GP * #RabattProz / 100, 2)     // Rabatt abziehen
  !#GP:= #GP - Round( #GP * #RabattProz2/ 100, 2)     // 2. Rabatt abziehen
  !#Summe:= #Summe+ #GP                               // Auftragssumme addieren
  !#NettoSumme1:= #NettoSumme1+ #NettoPreisSteuer1    // Nettobetrag fr 1. Mwstsatz
  !#NettoSumme2:= #NettoSumme2+ #NettoPreisSteuer2    // Nettobetrag fr 2. Mwstsatz
  !#RabattGesamt:= #RabattGesamt+ Round( #MEN * #EPreis,2) - #GP
!ENDE WENN
/
#ArtNr     #ArtText:30                    #MEN:9    #EINH #EPreis:9 [#GP:10 ]    ^17 #Rabatt1 #Rabatt2 ^12
!ENDELISTE
/*****************************************************************************
/!GEHE ZU ZEILE 45                    // hiermit kann die Endsumme fest positioniert werden

!WENN #LetzteSeite
!WENN #AtrBrutto
                                               [[Rabatt gesamt      : #RabattGesamt:10 #Whrung ]]
                                               Summe              : #Summe:10:2 #Whrung
                                               [[#StBez #STP1 incl. : #SteuerSumme1:10 #Whrung ]]
                                               [[#StBez #STP2 incl. : #SteuerSumme2:10 #Whrung ]]
                                               
                                              ^F Endbetrag          : #Summe:10  #Whrung ^f
                                               
!ENDE WENN
!WENN #AtrNetto
                                               [[Rabatt gesamt      : #RabattGesamt:10 #Whrung ]]
                                               Summe              : #Summe:10:2 #Whrung
                                               [[#StBez #STP1 zzgl. : #SteuerSumme1:10 #Whrung ]]
                                               [[#StBez #STP2 zzgl. : #SteuerSumme2:10 #Whrung ]]
                                               
                                              ^F Endbetrag          : #BruttoSumme:10 #Whrung ^f
                                               
!ENDE WENN

/[[Zahlbar innerhalb #ZahlungIn Tagen bis zum #ZahlungbisDatum ohne Abzge.]]
[[Bei Zahlung innerhalb #Skontotage Tagen bis zum #SkontoBisDatum #SkontoProz:5 % Skonto =#SkontoBetrag:7 #Whrung ]]

[[#Fusstext:79 ]]
/
!GEHE ZU ZEILE 56
Wir danken fr Ihren Auftrag und verbleiben mit freundlichen Gren.

^17#Bank1                                    #Bank2                                    #Bank3                                    ^12
^17#Blz1             #Kontonr1               #Blz2             #Kontonr2               #Blz3             #Kontonr3               ^12
/
!ENDE WENN #LetzteSeite
!SEITENAUSWURF
!FORMULARENDE    // alles, was hiernach kommt, wird nicht mehr gedruckt...




*******************************************************************************
/ Es folgt die Definition der Platzhalter, die Sie nicht lschen sollten.
/ Sie knnen die Platzhalter ndern und ergnzen, allerdings auf eigene Gefahr.
*******************************************************************************
!PLATZHALTER
  #AtrNr ,           ako->at_nr
  #KdNr ,            ako->at_kdnr
  #FIRMENABSENDER ,  fir->fenster
  #ANREDE ,          kun->anrede
  #VORNAME ,         LTrim( Trim( kun->n1)+ ' ')
  #NAME ,            kun->n2
  #NAME2 ,           kun->ansprechp
  #STRASSE ,         kun->strasse
  #LAND ,            Trim( kun->land)+ IF( .NOT. Empty( kun->land), '-', '')
  #PLZ ,             kun->plz
  #ORT ,             kun->ort
  #Briefanrede,      Trim( kun->briefanred)+ IF( ! Empty( kun->briefanred), ',', '')

  #AgDatum ,         ako->at_dat       // Datum des Angebots (=Auftrag vom)
  #AbDatum ,         ako->at_bestdat   // Datum der Auftragsbesttigung
  #LsDatum ,         ako->at_liefdat   // Datum des Lieferscheins (falls gedruckt)
  #RgDatum ,         ako->at_rgdat     // Datum der Rechnung
  #GsDatum ,         ako->at_rgdat     // Datum der Gutschrift
  #ValutaDatum,      ako->at_valuta
  #AtrBrutto ,       ako->at_mwstinc='J'    // Auftrag=Brutto (Mwst. incl.)
  #AtrNetto ,        ako->at_mwstinc$'N0'   // Auftrag=Netto  (Mwst. zzgl.)
  #AtrAusland ,      ako->at_mwstinc='0'    // Auftrag Ohne Steuer
  #AtrRabatt ,       ako->at_rabatt    // im Auftragskopf eingegebener Rabatt

  #TextPosition,     IsTextApo()       // enthlt Position nur Text?
  #RabattProz,       apo->art_rabatt   // Rabatt der einzelnen Position
  #RabattProz2,      kun->rabatt2      // zustzlicher fester 2.Kundenrabatt
  #Rabattitel,       IF( #AtrRabatt <> 0, 'Rabatt', '')
  #Rabatt1,          IF( Empty( #RabattProz) .OR. IsTextApo(),  '      ', Str( #RabattProz,5,2)+ '%')
  #Rabatt2,          IF( Empty( #RabattProz2) .OR. IsTextApo(), '', Str( #RabattProz2,5,2)+ '%')
  #EINH,             apo->Mengeneinh
  #MEN ,             IF( IsTextApo(), '', apo->liefmenge ) // Menge der Position
  #EPreis ,          IF( IsTextApo(), '', apo->epreis )    // Einzelpreis der Position
  #GP ,              gespreis          // Variable fr den berechneten GPreis
  #Summe,            Summe             // Auftr.summe Netto bzw. Brutto
  #RabattGesamt,     rabattges         // Rabattbetrag des Auftrags Netto bzw. Brutto
  #StBez ,           fir->bezsteuer    // Bezeichnung der Steuer: Mwst./WUST...
  #STP1 ,            MwstForm( fir->mwst1)
  #STP2 ,            MwstForm( fir->mwst2)
  #NettoSumme1 ,     NettoSum1         // Nettosumme fr Art. mit 1. Mwstsatz
  #NettoSumme2 ,     NettoSum2         // Nettosumme fr Art. mit 2. Mwstsatz

  #SteuerSumme1 ,    NettoSum1 * fir->mwst1 / 100  // Steuerbetrag fr Steuersatz 1
  #SteuerSumme2 ,    NettoSum2 * fir->mwst2 / 100  // Steuerbetrag fr Steuersatz 2
  #BruttoSumme ,     #Summe + #SteuerSumme1 + #SteuerSumme2
  #Auftragsumme,     IF( #AtrBrutto, #Summe, #BruttoSumme )  // Endsumme Auftrag

  #Pos,              apo->pos+ IF( Empty( apo->pos), ' ', '.') // Durchnummerierung der Positionen
  #ArtNr ,           IF( IsTextApo( apo->art_nr), '          ', apo->art_nr)
  #ArtName ,         Trim( apo->Art_name)        // Artikelkurzbezeichung
  #ArtText ,         Trim( apo->Text)            // Ausfhrlicher Text
  #ArtStSatz ,       apo->art_mwsatz             // Steuersatz: 1/2/0
  #ArtStProz ,       mwst( #ArtStSatz)           // Steuer-Prozentsatz
  #ArtSteuer1 ,      IF( #ArtStSatz= 1, IF( ako->at_mwstinc='N', #GP* #ArtStProz/100, #GP- #GP /( 1+ #ArtStProz/100)), 0)
  #ArtSteuer2 ,      IF( #ArtStSatz= 2, IF( ako->at_mwstinc='N', #GP* #ArtStProz/100, #GP- #GP /( 1+ #ArtStProz/100)), 0)
  #NettoPreisSteuer1, IF( apo->art_mwsatz= 1, IF( ako->at_mwstinc='N', #GP, #GP /( 1+ #ArtStProz/100)), 0)
  #NettoPreisSteuer2, IF( apo->art_mwsatz= 2, IF( ako->at_mwstinc='N', #GP, #GP /( 1+ #ArtStProz/100)), 0)

  #Vermerk,          IF( Substr( ako->at_titel,1,1)= '"', '', ako->at_titel)
  #Kopftext ,        IF( #Seite=1, ako->at_kopf, '')
  #Fusstext ,        ako->at_fuss
  #Nachnahme,        "Nachnahme" $ "#Fusstext"    // Steht "Nachn." im Fusstext des Auftrags?

  #ZahlungIn,        ako->zahlungin    // Zahlbar innerhalb .. Tagen
  #ZahlungBisDatum,  IF( #ZahlungIn = 0, '', ako->at_rgdat + #ZahlungIn )
  #SkontoProz,       ako->skonto       // Skonto in Prozent
  #SkontoTage,       ako->skontotage   // Tage, innerhalb deren Skonto gewhrt wird
  #SkontoBisDatum,   ako->at_rgdat + #SkontoTage
  #SkontoBetrag,     #Auftragsumme * (#SkontoProz / 100)

  #Bank1,            fir->bank1        // 1. Bankverbindung
  #Blz1,             fir->blz_1
  #Kontonr1,         fir->knr_1
  #Bank2,            fir->bank2        // 2. Bankverbindung
  #Blz2,             fir->blz_2
  #Kontonr2,         fir->knr_2
  #Bank3,            Trim( fir->bank3) // 3. Bankverbindung
  #Blz3,             fir->blz_3
  #Kontonr3,         Trim( fir->knr_3)
!ENDE PLATZHALTER